/* Bitmap data for arrow keys */
static GUI_CONST_STORAGE GUI_COLOR _aColorsArrow[] = {
  0x0000FF, 0x0000ff
};

static GUI_CONST_STORAGE GUI_LOGPALETTE _PalArrow = {
  2,	/* number of entries */
  1, 	/* No transparency */
  &_aColorsArrow[0]
};

GUI_CONST_STORAGE unsigned char _acArrow_enter[] = { /* code FED6, ARABIC LETTER QAF FINAL FORM */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,______XX,
  ________,________,______XX,
  ________,________,______XX,
  ________,________,______XX,
  ________,________,______XX,
  ________,________,______XX,
  ______XX,________,______XX,
  ___XXX__,________,______XX,
  __XX____,________,______XX,
  XXXXXXXX,XXXXXXXX,XXXXXXXX,
  XXXXXXXX,XXXXXXXX,XXXXXXXX,
  __XX____,________,________,
  ___XXX__,________,________,
  ______XX,________,________,
  ________,________,________,
  ________,________,________};

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_enter = {
	24,           /* XSize */
  20,            /* YSize */
  3,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_enter, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};	GUI_CONST_STORAGE unsigned char _acArrow_backspace[] = { /* code FED6, ARABIC LETTER QAF FINAL FORM */
  ________,____XXXX,________,
  ________,__XX___X,X_______,
  ________,_XX_____,X_______,
  ________,_XX_____,________,
  ________,_XX_____,________,
  ________,XX______,________,
  ________,_X______,________,
  ________,_XX_____,________,
  ________,_XX_____,________,
  ________,__XX____,X_______,
  ________,___XXXXX,X_______,
  ______XX,________,________,
  ___XXX__,________,________,
  __XX____,________,________,
  XXXXXXXX,XXXXXXXX,XXXXXXXX,
  XXXXXXXX,XXXXXXXX,XXXXXXXX,
  __XX____,________,________,
  ___XXX__,________,________,
  ______XX,________,________,
  ________,________,________,
  ________,________,________};
	

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_backspace = {
	24,           /* XSize */
  21,            /* YSize */
  3,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_backspace, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};

	GUI_CONST_STORAGE unsigned char _acArrow_space[] = { /* code FED6, ARABIC LETTER QAF FINAL FORM */
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  XX______,________,______XX,
  XX______,________,______XX,
  XX______,________,______XX,
  XXXXXXXX,XXXXXXXX,XXXXXXXX,
  XXXXXXXX,XXXXXXXX,XXXXXXXX,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________};

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_space = {
	24,           /* XSize */
  24,            /* YSize */
  3,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_space, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};

GUI_CONST_STORAGE unsigned char _acArrow_ok[] = { /* code FED6, ARABIC LETTER QAF FINAL FORM */
  ____XXX_,________,_____XX_,___XX___,
  __XX___X,X_______,__XXXXX_,__XXX___,
  _XX_____,XX______,_XX__XX_,_X______,
  _XX_____,XX______,_XX__XX_,X_______,
  _XX_____,XX______,_X___XXX,________,
  XX______,XX______,_____XXX,________,
  _XX_____,XX______,_____XXX,X_______,
  _XX_____,XX______,_____XX_,XX______,
  _XX_____,XX______,_____XX_,_XX_____,
  __XX___X,X_______,_X__XX__,_XXX____,
  ___XXXXX,________,_XXXX___,__XXXX__};
static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_ok = {
	32,           /* XSize */
  11,            /* YSize */
  4,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_ok, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};







GUI_CONST_STORAGE unsigned char _acArrow_eng[] = { /* code FED6, ARABIC LETTER QAF FINAL FORM */
  ________,________,________,________,________,________,
  ________,________,________,________,________,________,
  ________,________,________,________,________,________,
  ________,XXXXXXX_,_____XXX,____XXXX,____XXXX,X_______,
  _____XXX,XX_XX___,__XXXXX_,____X__X,__XX____,X_______,
  ____XX__,XX__X___,__X__XX_,____X___,_XX_____,X_______,
  ____XX__,XX__X___,_XX__XXX,____X___,_XX_____,________,
  ____XX__,XX______,_X___XXX,X___X___,_X______,________,
  ____X___,XX______,_____XX_,XX__X___,XX____XX,X_______,
  ________,XXXXX___,_____XX_,_XX_X___,_X___XXX,X_______,
  ________,XX______,_____XX_,__XXX___,_XX_X___,X_______,
  ________,X_______,_____XX_,__XXX___,_XX_____,X_______,
  _______X,X____X__,_X___X__,___XX___,__XX____,X_______,
  _____XXX,XXXXX___,_XXXX___,____X___,___XXXXX,X_______,
  ________,________,________,________,________,X_______,
  ________,________,________,________,___XX__X,X_______,
  ________,________,________,________,____XXXX,________};


static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_eng = {
	48,           /* XSize */
  17,            /* YSize */
  6,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_eng, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};

GUI_CONST_STORAGE unsigned char _acArrow_fa[] = { /* code FED6, ARABIC LETTER QAF FINAL FORM */
  _____XXX,XXX_____,_______X,XX______,
  __XXXXX_,XXX_____,____XXXX,XXX_____,
  _XX__XX_,_X______,___XX___,XXX_____,
  _XX__XX_,________,___XX__X,_XX_____,
  _X___XX_,________,___XX__X,_XX_____,
  ____XXXX,XX______,_______X,_XXX____,
  _____XX_,________,______X_,__XX____,
  _____XX_,________,______XX,XXXX____,
  _____XX_,___XX___,_X___X__,__XXX___,
  _____XX_,__XXXX__,_X___X__,___XX___,
  _____XX_,___XX___,_XXXX___,____XXX_,
  _____X__,________,________,________,
  _X__XX__,________,________,________,
  _XXX____,________,________,________};

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_fa = {
	32,           /* XSize */
  14,            /* YSize */
  4,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_fa, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};

GUI_CONST_STORAGE unsigned char _acArrow_cancel[] = { 
  _____XXX,XXX_____,_______X,XX______,
  _____XX_,________,____XXXX,XXX_____,
  _____XX_,________,___XX___,XXX_____,
  _____XX_,________,___XX__X,_XX_____,
  _____XX_,________,___XX__X,_XX_____,
  ____XXXX,________,_______X,_XXX____,
  _____XX_,________,______X_,__XX____,
  _____XX_,________,______XX,XXXX____,
  _____XX_,___XX___,_X___X__,__XXX___,
  _____XX_,__XXXX__,_X___X__,___XX___,
  _____XX_,___XX___,_XXXX___,____XXX_,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________};

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_cancel = {
	32,           /* XSize */
  14,            /* YSize */
  4,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_cancel, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};

GUI_CONST_STORAGE unsigned char _acArrow_up[] = { 
  _____XXX,XXX_____,_______X,XX______,
  _____XX_,________,____XXXX,XXX_____,
  _____XX_,________,___XX___,XXX_____,
  _____XX_,________,___XX__X,_XX_____,
  _____XX_,________,___XX__X,_XX_____,
  ____XXXX,________,_______X,_XXX____,
  _____XX_,________,______X_,__XX____,
  _____XX_,________,______XX,XXXX____,
  _____XX_,___XX___,_X___X__,__XXX___,
  _____XX_,__XXXX__,_X___X__,___XX___,
  _____XX_,___XX___,_XXXX___,____XXX_,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________};

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_up = {
	32,           /* XSize */
  14,            /* YSize */
  4,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_up, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};

GUI_CONST_STORAGE unsigned char _acArrow_down[] = { 
  _____XXX,XXX_____,_______X,XX______,
  _____XX_,________,____XXXX,XXX_____,
  _____XX_,________,___XX___,XXX_____,
  _____XX_,________,___XX__X,_XX_____,
  _____XX_,________,___XX__X,_XX_____,
  ____XXXX,________,_______X,_XXX____,
  _____XX_,________,______X_,__XX____,
  _____XX_,________,______XX,XXXX____,
  _____XX_,___XX___,_X___X__,__XXX___,
  _____XX_,__XXXX__,_X___X__,___XX___,
  _____XX_,___XX___,_XXXX___,____XXX_,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________};

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_down = {
	32,           /* XSize */
  14,            /* YSize */
  4,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_down, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};

GUI_CONST_STORAGE unsigned char _acArrow_left[] = { 
  _____XXX,XXX_____,_______X,XX______,
  _____XX_,________,____XXXX,XXX_____,
  _____XX_,________,___XX___,XXX_____,
  _____XX_,________,___XX__X,_XX_____,
  _____XX_,________,___XX__X,_XX_____,
  ____XXXX,________,_______X,_XXX____,
  _____XX_,________,______X_,__XX____,
  _____XX_,________,______XX,XXXX____,
  _____XX_,___XX___,_X___X__,__XXX___,
  _____XX_,__XXXX__,_X___X__,___XX___,
  _____XX_,___XX___,_XXXX___,____XXX_,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________};

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_left = {
	32,           /* XSize */
  14,            /* YSize */
  4,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_left, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};

GUI_CONST_STORAGE unsigned char _acArrow_right[] = { 
  _____XXX,XXX_____,_______X,XX______,
  _____XX_,________,____XXXX,XXX_____,
  _____XX_,________,___XX___,XXX_____,
  _____XX_,________,___XX__X,_XX_____,
  _____XX_,________,___XX__X,_XX_____,
  ____XXXX,________,_______X,_XXX____,
  _____XX_,________,______X_,__XX____,
  _____XX_,________,______XX,XXXX____,
  _____XX_,___XX___,_X___X__,__XXX___,
  _____XX_,__XXXX__,_X___X__,___XX___,
  _____XX_,___XX___,_XXXX___,____XXX_,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________};

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_right = {
	32,           /* XSize */
  14,            /* YSize */
  4,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_right, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};

GUI_CONST_STORAGE unsigned char _acArrow_shift[] = { 
  _____XXX,XXX_____,_______X,XX______,
  _____XX_,________,____XXXX,XXX_____,
  _____XX_,________,___XX___,XXX_____,
  _____XX_,________,___XX__X,_XX_____,
  _____XX_,________,___XX__X,_XX_____,
  ____XXXX,________,_______X,_XXX____,
  _____XX_,________,______X_,__XX____,
  _____XX_,________,______XX,XXXX____,
  _____XX_,___XX___,_X___X__,__XXX___,
  _____XX_,__XXXX__,_X___X__,___XX___,
  _____XX_,___XX___,_XXXX___,____XXX_,
  ________,________,________,________,
  ________,________,________,________,
  ________,________,________,________};

static GUI_CONST_STORAGE GUI_BITMAP _bmArrow_shift = {
	32,           /* XSize */
  14,            /* YSize */
  4,            /* BytesPerLine */
  1,            /* BitsPerPixel */
  _acArrow_shift, /* Pointer to picture data (indices) */
  &_PalArrow     /* Pointer to palette */
};
